---
layout: post
author: Jesse Portnoy
title: Annoying things LI can easily fix (and should!)
date: 2023-05-07 00:01:03 UTC
background: //cdn-images-1.medium.com/max/1024/0*yIkhUTsev1KuB4Z8
---

- No Markdown support. Even if you somehow fail to consider the large number of LI users who are in the tech business (developers, devOps, QA, what have you), MD can be very useful to non-tech people as well. The nice thing about MD is you can successfully use it without even knowing it. For example, if you prefix your sentence with ‘-’ or ‘\*’ (which people do naturally), you get a bullet. That’s a lot better than learning how to insert Unicode chars (mostly people don’t even know what Unicode is). For tech people (which you SHOULD care about), MD is extremely important because it provides an easy way to highlight syntax (in combination with simple CSS) and, as importantly — to format the code (and no, I’m not going to use spaces in the HTML textbox like a crazy person to format my copied code).   
I cringe whenever I am forced to share a screenshot of my code open in VIM for the sole purpose of making it more readable (due to proper formatting and syntax highlighting). I recently shared a bunch of such screenshots in a back and forth commenting session with someone. In total, the size of these images was 300K, if I simply posted text, it would have been under 1K. You may think 300K is marginal (you should actually double that as he’s also shared his) but, think about how many people do the same on daily basis — it accumulates! Furthermore, while this makes code easier to read, it also means it cannot be copied. Moronic. Support Markdown, seriously, everyone else&nbsp;does.
- Char limitation when commenting. You’re not saving space, MS. You’re actually wasting more DB space with this because what people do when confronted with this limitation is concatenate their reply across multiple comments. This is not only a massive headache for your users (reads and commenters, alike), it makes your DB fatter and slower because you end up with more records in the table that stores these comments. I’m not saying it should be unlimited, but seriously, DOUBLE it. It will cover most cases and save you some space and us some inconvenience.
- Different behaviour between the Android app and website when looking at post reactions. When I view reactions to my posts in the app, I have a little icon next to each user that indicates whether or not I can send them a connection request or only follow them or message them. This saves a lot of time because it means I don’t have to visit their profile to find out. Why does your website not expose the same option? In the app, I can also sort based on the comment time (newest first, oldest first) or, the mysterious criterion: “most relevant”. The latter is useless (though I’d like to know the metrics used to score this) but the other two are sometimes useful.
- The next one isn’t a bug on your end but it’s annoying and you can easily solve it. Here’s the scenario: I scroll through my feed and encounter a post that includes a link to an external resource (in other words, a URL). I am interested so, I click and Android opens my default browser with said URL. I read as I please but then, when I close the browser, I am returned to my feed and… it gets updated. I’ve now lost the LI post that led me to that link. Too bad. I liked what I read and I wanted to show my appreciation to the poster; only I can’t find it.  
How to solve this? Store a list of N last viewed posts and expose these under “Activity”. N does not have to be a huge number. For the scenario I’m describing, 1 would actually do but there are other scenarios where this can be of value so, shall we say 5 last viewed posts?  
And yes, I know I can save a post for later but, at the point of being navigated away from the LI app and onto the browser, I don’t know whether it’s valuable or not, I’m trying to find&nbsp;out.

There are other things I could point out but while extremely annoying, they are either too much of an edge case to interest you or things I know you will not change because you think there’s a chance you’ll wear users down with. An example of the latter is your constant badgering about a free month of “Premium”. Just so you know, I will never pay for a premium subscription and I will also not opt in for a free month of it because you want my credit card in advance and, we all know how this works out… I should also note that when I did click on this call to action (just to see whether I’d have to provide a payment method in advance), I was confronted with a bloody questionnaire about my goals. Seriously? are you trying to get my money or give me a quarterly review?!

 ![](https://medium.com/_/stat?event=post.clientViewed&referrerSource=full_rss&postId=5203b1b7c204)